Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.logging
Class FileStreamHandler

    java.lang.Object
      java.util.logging.Handler
          java.util.logging.StreamHandler
              weblogic.logging.FileStreamHandler

    public final class FileStreamHandler

extends StreamHandler

A simple handler which outputs text messages to a log file. This handler is used for both the server and the domain logging. Supports rotation of the log file based on settings in the LogFileMBean. In development mode the log file is rotated by default on server startup. The default policy for log rotation is size-based.

See Also:
  `LogFileMBean`

Constructor Summary
`FileStreamHandler(weblogic.management.configuration.LogFileMBean config)`
`FileStreamHandler(weblogic.management.configuration.LogMBean config)` Deprecated.

Method Summary
`void` | `publish(LogRecord rec)` Outputs the log record to the log file.

Methods inherited from class java.util.logging.StreamHandler
`close, flush, isLoggable, setEncoding, setOutputStream`

Methods inherited from class java.util.logging.Handler
`getEncoding, getErrorManager, getFilter, getFormatter, getLevel, reportError, setErrorManager, setFilter, setFormatter, setLevel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileStreamHandler

    public FileStreamHandler(weblogic.management.configuration.LogMBean config)
                      throws IOException

  Deprecated.

  Constructor to intialize a FileStreamHandler instance.

  Parameters:
    `config` - The LogMBean which specifies the file location and rotation parameters for this handler.
  Throws:
    `IOException` - If the file could not be opened successfully.

### FileStreamHandler

    public FileStreamHandler(weblogic.management.configuration.LogFileMBean config)
                      throws IOException

Throws:
  `IOException`

Method Detail

### publish

    public void publish(LogRecord rec)

  Outputs the log record to the log file. If the log file needs rotation, the file is rotated first before writing the log to the file. The format of the log record is controlled by the associated formatter. The default formatter for log entries in the file is LogFileFormatter.

  Overrides:
    `publish` in class `StreamHandler`
  Parameters:
    `rec` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD